# ConfigImpl (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj
Class ConfigImpl

    java.lang.Object
      net.schmizz.sshj.ConfigImpl

All Implemented Interfaces:
  Config

Direct Known Subclasses:
  DefaultConfig

    public class ConfigImpl

extends Object
implements Config

Constructor Summary
`ConfigImpl()`

Method Summary
`List<Factory.Named<Cipher>>` `getCipherFactories()` Retrieve the list of named factories for `Cipher`.
`List<Factory.Named<Compression>>` `getCompressionFactories()` Retrieve the list of named factories for `Compression`.
`List<Factory.Named<FileKeyProvider>>` `getFileKeyProviderFactories()` Retrieve the list of named factories for `FileKeyProvider`.
`List<Factory.Named<KeyExchange>>` `getKeyExchangeFactories()` Retrieve the list of named factories for `KeyExchange`.
`List<Factory.Named<MAC>>` `getMACFactories()` Retrieve the list of named factories for `MAC`.
`Factory<Random>` `getRandomFactory()` Retrieve the `Random` factory.
`List<Factory.Named<Signature>>` `getSignatureFactories()` Retrieve the list of named factories for `Signature`
`String` `getVersion()` Returns the software version information for identification during SSH connection initialization.
`void` `setCipherFactories(Factory.Named<Cipher>... cipherFactories)`
`void` `setCipherFactories(List<Factory.Named<Cipher>> cipherFactories)` Set the named factories for `Cipher`.
`void` `setCompressionFactories(Factory.Named<Compression>... compressionFactories)`
`void` `setCompressionFactories(List<Factory.Named<Compression>> compressionFactories)` Set the named factories for `Compression`.
`void` `setFileKeyProviderFactories(Factory.Named<FileKeyProvider>... fileKeyProviderFactories)`
`void` `setFileKeyProviderFactories(List<Factory.Named<FileKeyProvider>> fileKeyProviderFactories)` Set the named factories for `FileKeyProvider`.
`void` `setKeyExchangeFactories(Factory.Named<KeyExchange>... kexFactories)`
`void` `setKeyExchangeFactories(List<Factory.Named<KeyExchange>> kexFactories)` Set the named factories for `KeyExchange`.
`void` `setMACFactories(Factory.Named<MAC>... macFactories)`
`void` `setMACFactories(List<Factory.Named<MAC>> macFactories)` Set the named factories for `MAC`.
`void` `setRandomFactory(Factory<Random> randomFactory)` Set the factory for `Random`.
`void` `setSignatureFactories(Factory.Named<Signature>... signatureFactories)`
`void` `setSignatureFactories(List<Factory.Named<Signature>> signatureFactories)` Set the named factories for `Signature`.
`void` `setVersion(String version)` Set the software version information for identification during SSH connection initialization.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigImpl

    public ConfigImpl()

Method Detail

### getCipherFactories

    public List<Factory.Named<Cipher>> getCipherFactories()

  Description copied from interface: `Config`
  Retrieve the list of named factories for `Cipher`.

  Specified by:
    `getCipherFactories` in interface `Config`
  Returns:
    a list of named `Cipher` factories

### getCompressionFactories

    public List<Factory.Named<Compression>> getCompressionFactories()

  Description copied from interface: `Config`
  Retrieve the list of named factories for `Compression`.

  Specified by:
    `getCompressionFactories` in interface `Config`
  Returns:
    a list of named `Compression` factories

### getFileKeyProviderFactories

    public List<Factory.Named<FileKeyProvider>> getFileKeyProviderFactories()

  Description copied from interface: `Config`
  Retrieve the list of named factories for `FileKeyProvider`.

  Specified by:
    `getFileKeyProviderFactories` in interface `Config`
  Returns:
    a list of named `FileKeyProvider` factories

### getKeyExchangeFactories

    public List<Factory.Named<KeyExchange>> getKeyExchangeFactories()

  Description copied from interface: `Config`
  Retrieve the list of named factories for `KeyExchange`.

  Specified by:
    `getKeyExchangeFactories` in interface `Config`
  Returns:
    a list of named `KeyExchange` factories

### getMACFactories

    public List<Factory.Named<MAC>> getMACFactories()

  Description copied from interface: `Config`
  Retrieve the list of named factories for `MAC`.

  Specified by:
    `getMACFactories` in interface `Config`
  Returns:
    a list of named `MAC` factories

### getRandomFactory

    public Factory<Random> getRandomFactory()

  Description copied from interface: `Config`
  Retrieve the `Random` factory.

  Specified by:
    `getRandomFactory` in interface `Config`
  Returns:
    the `Random` factory

### getSignatureFactories

    public List<Factory.Named<Signature>> getSignatureFactories()

  Description copied from interface: `Config`
  Retrieve the list of named factories for `Signature`

  Specified by:
    `getSignatureFactories` in interface `Config`
  Returns:
    a list of named `Signature` factories

### getVersion

    public String getVersion()

  Description copied from interface: `Config`
  Returns the software version information for identification during SSH connection initialization. For example, `"NET_3_0"`.

  Specified by:
    `getVersion` in interface `Config`

### setCipherFactories

    public void setCipherFactories(Factory.Named<Cipher>... cipherFactories)

### setCipherFactories

    public void setCipherFactories(List<Factory.Named<Cipher>> cipherFactories)

  Description copied from interface: `Config`
  Set the named factories for `Cipher`.

  Specified by:
    `setCipherFactories` in interface `Config`
  Parameters:
    `cipherFactories` - a list of named factories

### setCompressionFactories

    public void setCompressionFactories(Factory.Named<Compression>... compressionFactories)

### setCompressionFactories

    public void setCompressionFactories(List<Factory.Named<Compression>> compressionFactories)

  Description copied from interface: `Config`
  Set the named factories for `Compression`.

  Specified by:
    `setCompressionFactories` in interface `Config`
  Parameters:
    `compressionFactories` - a list of named factories

### setFileKeyProviderFactories

    public void setFileKeyProviderFactories(Factory.Named<FileKeyProvider>... fileKeyProviderFactories)

### setFileKeyProviderFactories

    public void setFileKeyProviderFactories(List<Factory.Named<FileKeyProvider>> fileKeyProviderFactories)

  Description copied from interface: `Config`
  Set the named factories for `FileKeyProvider`.

  Specified by:
    `setFileKeyProviderFactories` in interface `Config`
  Parameters:
    `fileKeyProviderFactories` - a list of named factories

### setKeyExchangeFactories

    public void setKeyExchangeFactories(Factory.Named<KeyExchange>... kexFactories)

### setKeyExchangeFactories

    public void setKeyExchangeFactories(List<Factory.Named<KeyExchange>> kexFactories)

  Description copied from interface: `Config`
  Set the named factories for `KeyExchange`.

  Specified by:
    `setKeyExchangeFactories` in interface `Config`
  Parameters:
    `kexFactories` - a list of named factories

### setMACFactories

    public void setMACFactories(Factory.Named<MAC>... macFactories)

### setMACFactories

    public void setMACFactories(List<Factory.Named<MAC>> macFactories)

  Description copied from interface: `Config`
  Set the named factories for `MAC`.

  Specified by:
    `setMACFactories` in interface `Config`
  Parameters:
    `macFactories` - a list of named factories

### setRandomFactory

    public void setRandomFactory(Factory<Random> randomFactory)

  Description copied from interface: `Config`
  Set the factory for `Random`.

  Specified by:
    `setRandomFactory` in interface `Config`
  Parameters:
    `randomFactory` - the factory

### setSignatureFactories

    public void setSignatureFactories(Factory.Named<Signature>... signatureFactories)

### setSignatureFactories

    public void setSignatureFactories(List<Factory.Named<Signature>> signatureFactories)

  Description copied from interface: `Config`
  Set the named factories for `Signature`.

  Specified by:
    `setSignatureFactories` in interface `Config`
  Parameters:
    `signatureFactories` - a list of named factories

### setVersion

    public void setVersion(String version)

  Description copied from interface: `Config`
  Set the software version information for identification during SSH connection initialization. For example, `"SSHJ_0_1"`.

  Specified by:
    `setVersion` in interface `Config`
  Parameters:
    `version` - software version info

Copyright © 2009-2011. All Rights Reserved.